org.codehaus.plexus.component.repository.io

## Class PlexusTools

- java.lang.Object
- - org.codehaus.plexus.component.repository.io.PlexusTools

    public class PlexusTools
    extends Object

Version:
  $Id: PlexusTools.java 1781 2005-05-05 19:06:04Z jdcasey $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`PlexusTools()`

### Method Summary

Methods
`static ComponentDescriptor` `buildComponentDescriptor(PlexusConfiguration configuration)`
`static ComponentDescriptor` `buildComponentDescriptor(String configuration)`
`static ComponentSetDescriptor` `buildComponentSet(PlexusConfiguration c)`
`static PlexusConfiguration` `buildConfiguration(String configuration)`
`static PlexusConfiguration` `buildConfiguration(String resourceName, Reader configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusTools

    public PlexusTools()

### Method Detail

#### buildConfiguration

    public static PlexusConfiguration buildConfiguration(String resourceName,
                                         Reader configuration)
                                                  throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### buildConfiguration

    public static PlexusConfiguration buildConfiguration(String configuration)
                                                  throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### buildComponentDescriptor

    public static ComponentDescriptor buildComponentDescriptor(String configuration)
                                                        throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### buildComponentDescriptor

    public static ComponentDescriptor buildComponentDescriptor(PlexusConfiguration configuration)
                                                        throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### buildComponentSet

    public static ComponentSetDescriptor buildComponentSet(PlexusConfiguration c)
                                                    throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`